@mixin button-focus-outline($hoverBG, $outlineColor) {
	&:hover {
		background-color: $hoverBG;
	}
	&:focus {
		outline-width: 1px;
		outline-offset: 2px;
		outline-style: solid;
		outline-color: $outlineColor;
	}
}

.button-text {
	font-family: $mainFont;
	font-style: normal;
	font-weight: normal;
	font-size: 12px;
	line-height: 16px;
	/* or 133% */
	text-align: center;
	text-transform: uppercase;
	text-decoration: none;
	color: $white;
	box-shadow: none;
	border-radius: 3px;
	// border-radius: 3px !important;
	height: auto;
	border: none;
}

.btn-primary {
	@extend .button-text;
	background-color: $steelblue;
	padding: 5px 30px !important;
	@include button-focus-outline($steelblue-dark, $steelblue);
}

.btn-lg-primary {
	@extend .btn-primary;
	padding: 11px 31px !important;
}

.btn-secondary {
	@extend .button-text;
	background-color: $darkgrey;
	padding: 5px 24px !important;
	@include button-focus-outline($black, $darkgray);
}

.btn-lg-secondary {
	@extend .btn-secondary;
	padding: 11px 31px !important;
}

@mixin themable($theme-name, $mainFont,
	$primaryColor, $primaryHoverColor,
	$secondaryColor, $secondaryHoverColor,
) {
	.#{$theme-name} {
		.button-text {
			font-family: $mainFont;
			font-style: normal;
			font-weight: normal;
			font-size: 12px;
			line-height: 16px;
			/* or 133% */
			text-align: center;
			text-transform: uppercase;
			text-decoration: none;
			color: $white;
			box-shadow: none;
			border-radius: 3px;
			// border-radius: 3px !important;
			height: auto;
			border: none;
		}

		.btn-primary,
		button.btn-primary {
			@extend .button-text;
			background-color: $primaryColor;
			padding: 5px 30px !important;
			@include button-focus-outline($primaryHoverColor, $primaryColor);
		}

		.btn-lg-primary,
		button.btn-lg-primary {
			@extend .btn-primary;
			padding: 11px 31px !important;
		}

		.btn-secondary,
		button.btn-secondary {
			@extend .button-text;
			background-color: $secondaryColor;
			padding: 5px 24px !important;
			@include button-focus-outline($secondaryHoverColor, $secondaryColor);
		}

		.btn-lg-secondary,
		button.btn-lg-secondary {
			@extend .btn-secondary;
			padding: 11px 31px !important;
		}
	}
}

@include themable($cwrc, $mainFont, $steelblue, $steelblue-dark, $darkgray, $black);
@include themable($leaf, $mainFont, $mallard-green, $mallard-green-lighter, $darkgray, $black );

// .leaf--theme-wrapper {

// 	.btn-primary,
// 	button.btn-primary {
// 		@extend .button-text;
// 		background-color: $mallard-green;
// 		padding: 5px 30px !important;
// 		@include button-focus-outline($mallard-green-light, $mallard-green);
// 	}

// 	.btn-lg-primary,
// 	button.btn-lg-primary {
// 		@extend .btn-primary;
// 		padding: 11px 31px !important;
// 	}
// }

h1,
.h1 {
	font-family: $mainFont;
	font-style: normal;
	font-weight: 400;
	font-size: 36px;
	line-height: 43px;
	text-align: center;
	letter-spacing: -0.02em;
	@include mobile-tablet {
		font-size: 36px;
	}
	@include mobile-sm-only {
		font-size: 26px;
		line-height: 31px;	
	}
}

h2,
.h2 {
	font-family: $mainFont;
	font-style: normal;
	font-weight: 600;
	font-size: 32px;
	line-height: 38px;
	display: flex;
	align-items: center;
	letter-spacing: -0.02em;
	@include mobile-tablet {
		font-size: 24px;
		line-height: 28px;
	}
}

h3,
.h3 {
	font-family: $mainFont;
	font-style: normal;
	font-weight: 700;
	font-size: 24px;
	line-height: 29px;
	letter-spacing: -0.02em;
}

h5,
.h5 {
	font-family: $mainFont;
	font-style: normal;
	font-weight: 700;
	font-size: 16px;
	line-height: 19px;
	letter-spacing: -0.02em;
}

p {
	font-family: $mainFont;
	font-style: normal;
	font-weight: 400;
	font-size: 16px;
	line-height: 24px;
	margin: 0;
}

.leaf-view-pager-bef-links-theme {
	ul {
		list-style: none;
		padding-left: 0;
		margin: 0;
		display: flex;

		li {
			a {
				padding: 5px 11px;
				border-left: 1px solid;
				border-top: 1px solid;
				border-bottom: 1px solid;

				&:hover,&:active,&:focus,&.bef-link--selected {
					text-decoration: none;
					color: $white!important;
					background: $orange;
					border-color: $orange;
				}
			}
			&:last-child {
				a {
					border-right: 1px solid;
				}
			}
		}
	}
}

.leaf-view-page-pager-theme {
	.js-form-item {
		display: flex;
		align-items: center;
		justify-content: right;

		.form-control {
			border-color: $black;
			color: $black;
			padding: 0.2rem 0.45rem;
			font-size: 12px;
			height: 26px;
		}

		&.js-form-item-items-per-page {
			margin-top: 18px;
		}

		label {
			margin: 0;
			padding-right: 10px;
			font-weight: normal;
			font-size: 12px;
		}
	}

	.form-row > .form-group {
		display: flex; 
		flex-direction: column-reverse;
		margin-bottom: 0;

		.form-actions {
			display: none;
		}
	}
}
